---
title: CSSTransformValue
slug: Web/API/CSSTransformValue
tags:
  - API
  - CSS
  - CSS Typed Object Model API
  - CSSTransformValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{APIRef("CSS Typed OM")}}{{SeeCompatTable}}{{Draft}}</div>

<p class="summary">The <strong><code>CSSTransformValue</code></strong> interface of the {{domxref('CSS Typed Object Model API','','',' ')}} represents <code>transform-list</code> values as used by the CSS {{CSSxref('transform')}} property.</p>

<h2 id="Interfaces_based_on_CSSTransformValue">Interfaces based on CSSTransformValue</h2>

<p>Below is a list of interfaces based on the <code>CSSTransformValue</code> interface.</p>

<div class="index">
<ul>
	<li>{{domxref('CSSTranslate')}}</li>
	<li>{{domxref('CSSRotate')}}</li>
	<li>{{domxref('CSSScale')}}</li>
	<li>{{domxref('CSSSkew')}}</li>
	<li>{{domxref('CSSSkewX')}}</li>
	<li>{{domxref('CSSSkewY')}}</li>
	<li>{{domxref('CSSPerspective')}}</li>
	<li>{{domxref('CSSMatrixComponent')}}</li>
</ul>
</div>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("CSSTransformValue.CSSTransformValue()")}}</dt>
	<dd>Creates a new <code>CSSTransformValue</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
	<dt>{{domxref("CSSTransformValue.length")}} {{ReadOnlyInline}}</dt>
	<dd>Returns how many transform components are contained within the <code>CSSTransformValue</code>.</dd>
	<dt>{{domxref("CSSTransformValue.is2D")}} {{ReadOnlyInline}}</dt>
	<dd>Returns a boolean indicating whether the transform is 2D or 3D. </dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>Inherits methods from its ancestor {{domxref('CSSStyleValue')}}.</em></p>

<dl>
	<dt>{{domxref("CSSTransformValue.toMatrix()")}}</dt>
	<dd>Returns a new {{domxref('DOMMatrix')}} object.</dd>
	<dt>{{domxref('CSSUnparsedValue.entries()')}}</dt>
	<dd>Returns an array of a given object's own enumerable property <code>[key, value]</code> pairs in the same order as that provided by a {{jsxref("Statements/for...in", "for...in")}} loop (the difference being that a for-in loop enumerates properties in the prototype chain as well).</dd>
	<dt>{{domxref('CSSUnparsedValue.forEach()')}}</dt>
	<dd>Executes a provided function once for each element of the <code>CSSTransformValue</code> object.</dd>
	<dt>{{domxref('CSSUnparsedValue.keys()')}}</dt>
	<dd>Returns a new <strong><code>Array Iterator</code></strong> object that contains the keys for each index in the <code>CSSTransformValue</code> object.</dd>
	<dt>{{domxref('CSSUnparsedValue.values()')}}</dt>
	<dd>Returns a new <strong><code>Array Iterator</code></strong> object that contains the values for each index in the <code>CSSTransformValue</code> object.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To Do.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#csstransformvalue','cssTransformValue')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSTransformValue")}}</p>
